	import * as THREE from 'three';

	// Quadrupole
	export function quadrupole(length=260) {
		const quadrupoleMaster = new THREE.Object3D();
		const chamberMaterial = new THREE.MeshLambertMaterial({color: 0xc0c0c0});
		const quadrupolematerial = new THREE.MeshLambertMaterial({color: 0xff7050});
		const quadrupolegeometry = new THREE.CylinderGeometry(250, 250, length, 8);
		const quadrupolemesh = new THREE.Mesh(quadrupolegeometry, quadrupolematerial);
		quadrupoleMaster.add(quadrupolemesh);
		const quadrupole2geometry = new THREE.CylinderGeometry(290, 290, 30, 50);
		const quadrupole2mesh = new THREE.Mesh(quadrupole2geometry, chamberMaterial);
		quadrupole2mesh.position.set(0, -length/2-15, 0);
		quadrupoleMaster.add(quadrupole2mesh);
		const quadrupole3mesh = new THREE.Mesh(quadrupole2geometry, chamberMaterial);
		quadrupole3mesh.position.set(0, length/2+15, 0);
		quadrupoleMaster.add(quadrupole3mesh);
		quadrupoleMaster.rotateX(Math.PI * 0.5);
		quadrupoleMaster.rotatedX = true;
		const qedges = new THREE.EdgesGeometry(quadrupolegeometry);
		const lineMaterial = new THREE.LineBasicMaterial({color: 0x600000});
		lineMaterial.linewidth = 4;
		const qline = new THREE.LineSegments(qedges, lineMaterial);
		quadrupoleMaster.add(qline);
		return quadrupoleMaster;
	}
